メニューの販売状態・残数
POST
/webhook-menu-conditions
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/webhook-menu-conditions';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"contractId":"smaregi","event":"waiter:menu-conditions","action":"updated","storeId":"1","menuIds":["1","2"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/webhook-menu-conditions \ --header 'Content-Type: application/json' \ --data '{ "contractId": "smaregi", "event": "waiter:menu-conditions", "action": "updated", "storeId": "1", "menuIds": [ "1", "2" ] }'【以下の送信条件は waiter-server ver.2.46.0 (2026年10月上旬リリース予定) で追加予定】
submenuOnly=false のメニューで販売状態または残数が変更された場合に、updated で通知します。
submenuOnly=true または削除済みのメニューは、プラットフォームAPIの公開対象外のため通知しません。
複数のメニューIDが混在する場合は公開対象外のIDだけを除外し、対象となるIDがない場合は通知しません。
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Smaregi-Event
string
イベント名 waiter:menu-conditions
Request Body
Section titled “Request Body”Media typeapplication/json
object
contractId
契約ID
string
event
イベント
string
action
アクション
updated: 更新
string
storeId
店舗ID
string
menuIds
メニューIDリスト
array
Examples
Exampleリクエスト例
{ "contractId": "smaregi", "event": "waiter:menu-conditions", "action": "updated", "storeId": "1", "menuIds": [ "1", "2" ]}Responses
Section titled “Responses”OK